////////////////////////////////////////////////////////////////////////////////
// Naam:       Rnt_Loadcell_HX711_basis.ino                                   //
//             http://robotigs.com/robots/includes/parts.php?idpart=47        //
//             01 = Voorbeeld uit de bibliotheek geplukt.                     //
//                                                                            //
// Created by: HARB rboek2@gmail.com februari 2021 GPL copyrights             //
// Origineel:  https://www.instructables.com/                                 //
// Platform:   TTGO T-Beam V1.0                                               //
////////////////////////////////////////////////////////////////////////////////
// As outputs the following modules are mounted:                              //
// - Oled schermpje ,monochroom 128x64                                        //
//            http://robotigs.nl/robots/includes/parts.php?idpart=43          //
//                                                                            //
// As inputs the following modules are mounted:                               //
//                                                                            //
// For communications and statistics are mounted:                             //
// - Standard Serial Monitor output                                           //
//            http://robotigs.nl/robots/includes/parts.php?idpart=43          //
////////////////////////////////////////////////////////////////////////////////

/*********
  Complete project details at https://randomnerdtutorials.com
  
  This is an example for our Monochrome OLEDs based on SSD1306 drivers. Pick one
  up today in the adafruit shop! ------> http://www.adafruit.com/category/63_98
  This example is for a 128x32 pixel display using I2C to communicate 3 pins 
  are required to interface (two I2C and one reset).  Adafruit invests time and
  resources providing this open source code, please support Adafruit and 
  open-source hardware by purchasing products from Adafruit! Written by 
  Limor Fried/Ladyada for Adafruit Industries, with contributions from the open
  source community. BSD license, check license.txt for more information All text
  above, and the splash screen below must be included in any redistribution. 
*********/

// SET PRECOMPILER OPTIONS *****************************************************
  //Initialse conditional compiling, uncomment to include, comment to exclude --
  // Do comment for runtime versions
  //#define RS232                 //Uncomment to include Serial Monitor sections

  //Define the needed header files for the precompiler, no charge if not used --
  #include "HX711.h"                            //https://github.com/bogde/HX711
  #include <SPI.h>                              //Standaard geïnstalleerd in IDE
  #include <Wire.h>                             //Standaard geïnstalleerd in IDE
  #include <Adafruit_GFX.h>      //Standaard meegeleverd met IDE, zelf activeren
  #include <Adafruit_SSD1306.h>  //Standaard meegeleverd met IDE, zelf activeren

  //Define PINS ----------------------------------------------------------------
  const int LOADCELL_DOUT_PIN = 0;                   //HX711 circuit wiring Geel
  const int LOADCELL_SCK_PIN = 4;                  //HX711 circuit wiring Oranje
  #define OLED_RESET    -1                   //Reset pin# or -1 if not available

  //Define EEPROM variables ----------------------------------------------------
  //Define DATABASE VARIABLES --------------------------------------------------

  //Define variables -----------------------------------------------------------
  #define SCREEN_WIDTH 128                       //OLED display width, in pixels
  #define SCREEN_HEIGHT 64                      //OLED display height, in pixels
  
  //Initialize OBJECTS ---------------------------------------------------------
  Adafruit_SSD1306 display(SCREEN_WIDTH, SCREEN_HEIGHT, &Wire, OLED_RESET);
  HX711 scale;                         //Initialise HX711 weegschaal bibliotheek
//END OF PRECOMPILER OPTIONS ---------------------------------------------------


void setup() { //Setup runs once ***********************************************
  Serial.begin(115200);       //Nothing more needed for the Serial Monitor RS232

  //Start objects --------------------------------------------------------------
  scale.begin(LOADCELL_DOUT_PIN, LOADCELL_SCK_PIN);     //HX711 weegschaal start
  if(!display.begin(SSD1306_SWITCHCAPVCC, 0x3C)) { //Generate Vdc intr from 3.3V
    Serial.println(F("SSD1306 allocation failed"));    //Oeps, hij doet het niet
    for(;;);                                       //Don't proceed, loop forever
  } //End of if(!display.begin(SSD1306_SWITCHCAPVCC, 0x3C))

  //Test hardware and software -------------------------------------------------
  display.clearDisplay();                                     //Clear the buffer
  display.drawPixel(10, 10, WHITE);  //Draw single white pixel in display buffer
  display.display();                     //Show the display buffer on the screen
} //End of setup ---------------------------------------------------------------








void loop() { //KEEP ON RUNNING THIS LOOP FOREVER  *****************************
  if (scale.wait_ready_retry(10)) {
    long reading = scale.read();
    Serial.print("HX711 reading: ");
    Serial.println(reading);
  } else {
    Serial.println("HX711 not found.");
  }
  delay(3000);
} //End of void loop() ----------------------- KEEP ON RUNNING THIS LOOP FOREVER
