////////////////////////////////////////////////////////////////////////////////
// Naam:       Rnt_Oled_Adafruit_simple.ino                                   //
//             http://robotigs.com/robots/includes/parts.php?idpart=113#rnt   //
//             01 = Geeft leuke voorbeeld output op oled scherm.              //
//                                                                            //
// Created by: HARB rboek2@gmail.com december 2020 GPL copyrights             //
// Origineel:  https://randomnerdtutorials.com (zie onder)                    //
// Platform:   TTGO T-Beam V1.0                                               //
////////////////////////////////////////////////////////////////////////////////
// As outputs the following modules are mounted:                              //
// - Oled schermpje ,monochroom 128x64                                        //
//            http://robotigs.nl/robots/includes/parts.php?idpart=113         //
//                                                                            //
// As inputs the following modules are mounted:                               //
//                                                                            //
// For communications and statistics are mounted:                             //
// - Standard Serial Monitor output                                           //
//            http://robotigs.nl/robots/includes/parts.php?idpart=43          //
////////////////////////////////////////////////////////////////////////////////

// SET PRECOMPILER OPTIONS *****************************************************
  //Define the needed header files for the precompiler, no charge if not used --
  #include <SPI.h>                              //Standaard geinstalleerd in IDE
  #include <Wire.h>                             //Standaard geinstalleerd in IDE
  #include <Adafruit_GFX.h>      //Standaard meegeleverd met IDE, zelf activeren
  #include <Adafruit_SSD1306.h>  //Standaard meegeleverd met IDE, zelf activeren

  //Define PINS ----------------------------------------------------------------
  #define OLED_RESET    -1                   //Reset pin# or -1 if not available

  //Define EEPROM variables ----------------------------------------------------
  //Define DATABASE VARIABLES --------------------------------------------------

  //Define variables -----------------------------------------------------------
  #define SCREEN_WIDTH 128                       //OLED display width, in pixels
  #define SCREEN_HEIGHT 64                      //OLED display height, in pixels
  
  //Initialize OBJECTS ---------------------------------------------------------
  Adafruit_SSD1306 display(SCREEN_WIDTH, SCREEN_HEIGHT, &Wire, OLED_RESET);
//END OF PRECOMPILER OPTIONS ---------------------------------------------------


void setup() { //Setup runs once ***********************************************
  Serial.begin(115200);       //Nothing more needed for the Serial Monitor RS232

  //Start display --------------------------------------------------------------
  if(!display.begin(SSD1306_SWITCHCAPVCC, 0x3C)) { //Generate Vdc intr from 3.3V
    Serial.println(F("SSD1306 allocation failed"));    //Oeps, hij doet het niet
    for(;;);                                       //Don't proceed, loop forever
  } //End of if(!display.begin(SSD1306_SWITCHCAPVCC, 0x3C))
  display.clearDisplay();                                     //Clear the buffer
  display.setTextSize(2);                           //1=onleesbaar klein 2=groot
  display.setTextColor(WHITE);                                 //Draw white text

  //Test hardware and software -------------------------------------------------
  display.setCursor(0,0);                             //Start at top-left corner
  display.println("Tmp 23.4 C");
  display.println("Hum 99   %");
  display.display();                     //Show the display buffer on the screen
} //End of setup ---------------------------------------------------------------



void loop() { //KEEP ON RUNNING THIS LOOP FOREVER  *****************************
} //End of void loop() ----------------------- KEEP ON RUNNING THIS LOOP FOREVER
