////////////////////////////////////////////////////////////////////////////////
// Naam:       Rnt_Touch.ino                                                  //
//             http://robotigs.com/robots/includes/parts.php?idpart=113#rnt   //
//             01 =                                                           //
//                                                                            //
// Created by: HARB rboek2@gmail.com december 2020 GPL copyrights             //
// Origineel:  https://randomnerdtutorials.com (zie onder)                    //
// Platform:   TTGO T-Beam V1.0                                               //
////////////////////////////////////////////////////////////////////////////////
// As outputs the following modules are mounted:                              //
// - Oled schermpje ,monochroom 128x64                                        //
//            http://robotigs.nl/robots/includes/parts.php?idpart=43          //
//                                                                            //
// As inputs the following modules are mounted:                               //
//                                                                            //
// For communications and statistics are mounted:                             //
// - Standard Serial Monitor output                                           //
//            http://robotigs.nl/robots/includes/parts.php?idpart=43          //
////////////////////////////////////////////////////////////////////////////////

// SET PRECOMPILER OPTIONS *****************************************************
  //Define the needed header files for the precompiler, no charge if not used --
  //Define PINS ----------------------------------------------------------------
  #define ledOnBoardPin   2           //Pen waarop de onboard LED is aangesloten
  #define touch5Pin      12       //Pen waarop touch5 electronica is aangesloten
  //Define EEPROM variables ----------------------------------------------------
  //Define DATABASE VARIABLES --------------------------------------------------
  //Define variables -----------------------------------------------------------
  bool ledOnBoardVal = 0;        //Toggelt tussen 0 en 1 om LED te schakelen LED
  //Initialize OBJECTS ---------------------------------------------------------
//END OF PRECOMPILER OPTIONS ---------------------------------------------------




void setup() { //Setup runs once ***********************************************
  Serial.begin(115200);       //Nothing more needed for the Serial Monitor RS232
  while (!Serial);                //Wacht totdat de seriele poort is geactiveerd
  Serial.println("ESP32 Touch Test");    //Geef berichtje via de seriele monitor
  pinMode(ledOnBoardPin, OUTPUT);                //Board contains an onboard LED
  //Start objects --------------------------------------------------------------
  //Test hardware and software -------------------------------------------------
} //End of setup ---------------------------------------------------------------





void loop() { //KEEP ON RUNNING THIS LOOP FOREVER  *****************************
  Serial.println(touchRead(touch5Pin));                    //Get value of Touch5
  digitalWrite(ledOnBoardPin,!touchRead(0));    //Schakel blauwe LED volgens PPG
  delay(100);                       //Houdt de seriele monitor enigzins leesbaar
} //End of void loop() ----------------------- KEEP ON RUNNING THIS LOOP FOREVER



void toggle_ledOnBoard(void){ //Togglet de ledOnBoardVal van ledOnBoard ********
  ledOnBoardVal = !ledOnBoardVal;                                 //Toggle value
  digitalWrite(ledOnBoardPin, ledOnBoardVal);           //Set boards onboard LED
} //Exit toggle_ledOnBoard -----------------------------------------------------


////////////////////////////////////////////////////////////////////////////////
// PIN ALLOCATIONS TABLE HELTEC WIFILORA 32 V1                                //
// GPIO - Function    - External Connection                              FUNC //
//                                                                            //
//    0 - Push button - Internally connected                              PPG //
//    1 - NC                                                                  //
//    2 - ADC2_2      - HSPI-WP ONBOARD LED                               LED //
//   12 - ADC2_5      - TOUCH5                                            ADC //
////////////////////////////////////////////////////////////////////////////////
