////////////////////////////////////////////////////////////////////////////////
// Name:       Rnt_Oled_Thingpulse_simple.ino                                 //
//             Meest simpele vorm om tekst weer te geven in 1 scherm.         //
// http://robotigs.nl/robots/includes/parts.php?idpart=113                    //
// Created by: HARB rboek2@gmail.com September 2020 GPL copyrights            //
// Original:   https://github.com/osresearch/esp32-ttgo                       //
// Platform:   TTGO T-Beam V1.0                                               //
// https://dl.espressif.com/dl/package_esp32_index.json                       //
////////////////////////////////////////////////////////////////////////////////
// As outputs the following modules are mounted:                              //
//                                                                            //
// As inputs the following modules are mounted:                               //
//                                                                            //
// For communications and statistics are mounted:                             //
////////////////////////////////////////////////////////////////////////////////

  //Define the needed header files for the precompiler, no charge if not used --
  #include <Wire.h>                                            //Needed for OLED
  #include "SSD1306Wire.h"  //https://github.com/ThingPulse/esp8266-oled-ssd1306
  #include "OLEDDisplayUi.h"//https://github.com/ThingPulse/esp8266-oled-ssd1306

  //Initialize OBJECTS ---------------------------------------------------------
  SSD1306Wire  display(0x3c, 21, 22);             //T-Beam V1.0 => SDA=21 SCL=22
  OLEDDisplayUi ui ( &display );          //Maak een object voor de oled display
  
  //Define VARIABLE SETTINGS ---------------------------------------------------
  int frameCount = 1;             //Aantal frames dat meedoet in de oled display

  //Define variables -----------------------------------------------------------
  int counter = 0;           //Enkel voor de voorbeeld data voor de oled display
  String counterStr = "0";   //Enkel voor de voorbeeld data voor de oled display


//Setup van de oled display ****************************************************
  void frame(OLEDDisplay *display, OLEDDisplayUiState* state, int16_t x, int16_t y) {
    display->setTextAlignment(TEXT_ALIGN_LEFT);
    display->setFont(ArialMT_Plain_16);
    display->drawString(0 + x, 0 + y, "LoRa Gateway");
    display->drawString(0 + x, 18 + y, "192.168.2.34");
    display->setFont(ArialMT_Plain_10);
    display->drawString(0 + x, 38 + y, counterStr);
    display->drawString(0 + x, 50 + y, "192.168.2.34");
  } //End of void frame(OLEDDisplay *display
  FrameCallback frames[] = {frame};                //Frames zijn de single views
//End of setup van de oled display ---------------------------------------------


void setup() { //Setup runs once ***********************************************
  Serial.begin(115200);
  ui.setTargetFPS(30); 
  ui.disableAutoTransition();
  ui.disableAllIndicators();
  ui.setFrames(frames, frameCount);                                 //Add frames
  ui.init();                     //Initialising the UI will init the display too
  display.flipScreenVertically();                  //Nodig ivm contructie T-Beam
}



void loop() {  //KEEP ON RUNNING THIS LOOP FOREVER  *****************************
  int remainingTimeBudget = ui.update();

  if (remainingTimeBudget > 0) {
    // You can do some work here. Don't do stuff if you are below your time budget
    counter++;
    counterStr = String(counter);
    delay(remainingTimeBudget);
  }
} //End of void loop() ----------------------- KEEP ON RUNNING THIS LOOP FOREVER
