/*
  LoRa register dump

  This examples shows how to inspect and output the LoRa radio's
  registers on the Serial interface
*/
#include <SPI.h>              // include libraries
#include <LoRa.h>

//define the pins used by the transceiver module
#define ss 18 //5
#define rst 23 // 14
#define dio0 26 // 2

#define SCK_GPIO        5
#define MISO_GPIO       19
#define MOSI_GPIO       27
#define NSS_GPIO        18
#if defined(T_BEAM_V10)
#define RESET_GPIO      23
#else
#define RESET_GPIO      23
#endif
#define DIO0_GPIO       26
#define DIO1_GPIO       33 // Note: not really used on this board
#define DIO2_GPIO       32 // Note: not really used on this board

void setup() {
  Serial.begin(115200);               // initialize serial
  while (!Serial);
  Serial.println("LoRa Dump Registers");
  //LoRa.setPins(csPin, resetPin, irqPin);
  LoRa.setPins(ss, rst, dio0);

  //433E6 for Asia
  //866E6 for Europe
  //915E6 for North America
  const long frequency = 866E6;       // LoRa Frequency
  if (!LoRa.begin(frequency)) {         // initialize ratio at 915 MHz
    Serial.println("LoRa init failed. Check your connections.");
    while (true);                   // if failed, do nothing
  }

  LoRa.dumpRegisters(Serial);
}


void loop() {
}
